<?php
/**
* class name: EnmaskCaptcha
* Author: enmask.com
**/

class EnmaskCaptcha {
	private $protocol = "http://";
	private $server = "enmask.com/";
	private $port = "";
	
	public function getHtml($name)
	{
		$wp_lang=get_bloginfo('language');
		if($wp_lang!=''){
			$js_append='data-enmask-langcode="'.$wp_lang.'"';
		}else{
			$js_append='';
		}
		$url = $this->protocol . $this->server . $this->port . "/Scripts/Enmask.Captcha.js";
		return '<script type="text/javascript" '.$js_append.' src="' . $url . '" data-enmask="true" data-enmask-name="' . $name . '"></script>';
	} 
	
	public function validate($captchaResponse, $captchaChallenge)
	{
		$url = $this->protocol . $this->server . $this->port . "/CaptchaFont/ValidateCaptcha";
		
		$body = array('response' => $captchaResponse,'challenge' => $captchaChallenge);
		$result = wp_remote_post( $url, array( 'method' => 'POST', 'body' => $body) );
		
		if($result['response']['code']=='200' && $result['response']['message']=='OK'){
			$body = json_decode($result['body']);
			if($body->isValid){
				$isValid = TRUE;
				$message = __('Thank you, CAPTCHA validated');
			}else{
				$isValid = FALSE;
				$message = __('You have entered the wrong CAPTCHA phrase.');
			}
			
		}else{
			$isValid = FALSE;
			$message = __('Error while connecting to enmask server');
		}
		
		return array($isValid, $message);
	} 
}